Name:          python-zope-interface
Version:       4.2.0
Release:       1mamba
Summary:       Python library for API definitions through interfaces
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://pypi.python.org/pypi/zope.interface
Source:        https://pypi.debian.net/zope.interface/zope.interface-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Provides:      python-zopeinterface
Obsoletes:     python-zopeinterface
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
zope.interface provides an implementation of object interfaces for Python.
Interfaces are a mechanism for labeling objects as conforming to a given API or contract.
So, this package can be considered as implementation of the Design By Contract methodology support in Python.

%prep
%setup -q -n zope.interface-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

# remove documentation from wrong path
rm -f %{buildroot}%{python_sitearch}/zope/interface/*.txt

# remove a C source file
rm -f %{buildroot}%{python_sitearch}/zope/interface/_zope_interface_coptimizations.c

# remove tests
rm -rf %{buildroot}%{python_sitearch}/zope/interface/{tests,common/tests}

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz,;\,\.c$,d;\,\.txt$,d;\,/tests/,d" %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
#-f %{name}.filelist
%defattr(-,root,root)
%dir %{python27_sitearch}/zope
%dir %{python27_sitearch}/zope/interface
%{python27_sitearch}/zope/interface/*
%dir %{python27_sitearch}/zope.interface-*-py*.egg-info
%{python27_sitearch}/zope.interface-*-py*.egg-info/*
%dir %{python27_sitearch}/zope.interface-*-py*.pth
%doc COPYRIGHT.txt LICENSE.txt
#%doc CHANGES.txt README.txt

%changelog
* Mon Jun 27 2016 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Mon Oct 05 2015 Automatic Build System <autodist@mambasoft.it> 4.1.3-1mamba
- automatic version update by autodist

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-1mamba
- update to 4.1.0

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.5-2mamba
- python 2.7 mass rebuild

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 4.0.5-1mamba
- update to 4.0.5

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic version update by autodist

* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Sun Oct 02 2011 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Mon Jun 20 2011 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic update by autodist

* Sat May 21 2011 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic update by autodist

* Fri Oct 15 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.6.1-1mamba
- update to 3.6.1
- package renamed from python-zopeinterface to python-zope-interface

* Fri May 08 2009 gil <puntogil@libero.it> 3.5.1-1mamba
- update to 3.5.1

* Sun Dec 07 2008 gil <puntogil@libero.it> 3.5.0-1mamba
- update to 3.5.0

* Thu Aug 16 2007 Tiziana Ferro <tiziana.ferro@email.it> 3.3.0-1mamba
- package created by autospec
